org.eclipse.zest.core.viewers

## Interface IConnectionStyleProvider

    public interface IConnectionStyleProvider

An extension to label providers, to supply styles for connections based upon relationships, rather than on connected nodes.

See Also:
  `#IGraphContentProvider`, `#IEntityStyleProvider`

### Method Summary

Methods
`Color` `getColor(java.lang.Object rel)` Returns the color for the connection.
`int` `getConnectionStyle(java.lang.Object rel)` Returns the style flags for this connection.
`Color` `getHighlightColor(java.lang.Object rel)` Returns the highlighted color for this connection.
`int` `getLineWidth(java.lang.Object rel)` Returns the line width of the connection. -1 for default.
`IFigure` `getTooltip(java.lang.Object entity)` Returns the tooltop for this node.

### Method Detail

#### getConnectionStyle

    int getConnectionStyle(java.lang.Object rel)

Returns the style flags for this connection. Valid flags are those that begin with CONNECTION in @see org.eclipse.zest.core.ZestStyles. Check ZestStyles for legal combinations.

Parameters:
  `rel` - the relationship represented by this connection.
Returns:
  the style flags for this connection.
See Also:
  `ZestStyles`

#### getColor

    Color getColor(java.lang.Object rel)

Returns the color for the connection. Null for default. Any resources created by this class must be disposed by this class.

Parameters:
  `rel` - the relationship represented by this connection.
Returns:
  the color.
See Also:
  `#dispose()`

#### getHighlightColor

    Color getHighlightColor(java.lang.Object rel)

Returns the highlighted color for this connection. Null for default. Any resources created by this class must be disposed by this class.

Parameters:
  `rel` - the relationship represented by this connection.
Returns:
  the highlighted color. Null for default.
See Also:
  `#dispose()`

#### getLineWidth

    int getLineWidth(java.lang.Object rel)

Returns the line width of the connection. -1 for default.

Parameters:
  `rel` - the relationship represented by this connection.
Returns:
  the line width for the connection. -1 for default.

#### getTooltip

    IFigure getTooltip(java.lang.Object entity)

Returns the tooltop for this node. If null is returned Zest will simply use the default tooltip.

Parameters:
  `entity` -
Returns: